jjb: Make sure pylint fails when warnings are present
authorMichael Jeanson <mjeanson@efficios.com>
Mon, 7 Oct 2019 19:32:51 +0000 (15:32 -0400)
committerMichael Jeanson <mjeanson@efficios.com>
Mon, 7 Oct 2019 19:32:51 +0000 (15:32 -0400)
Signed-off-by: Michael Jeanson <mjeanson@efficios.com>
scripts/babeltrace/pylint.sh

index 35b287f08d2da3651f24261c634221f7d37caf96..f04f8ad870856e826cf6ba49fee91b5797989977 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/sh -exu
+#!/bin/bash -exu
 #
 # Copyright (C) 2019 Michael Jeanson <mjeanson@efficios.com>
 # Copyright (C) 2019 Francis Deslauriers <francis.deslauriers@efficios.com>
@@ -16,6 +16,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
+set -o pipefail
+
 PYTHON3=python3
 
 PYENV_HOME="$WORKSPACE/.pyenv/"
@@ -40,6 +42,6 @@ exit_code=0
 cd src/babeltrace
 
 black --diff --check . | tee ../../black.out || exit_code=1
-flake8 | tee ../../flake8.out || exit_code=1
+flake8 --output-file=../../flake8.out --tee || exit_code=1
 
 exit $exit_code
This page took 0.025162 seconds and 4 git commands to generate.